@import url("https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  scroll-behavior: smooth;
}

.toggle {
  position: fixed;
  top: 30px;
  right: 30px;
  width: 50px;
  height: 50px;
  border-radius: 5px;
  background: rgb(17, 26, 32) url(images/menu.png);
  background-size: 30px;
  background-position: center;
  background-repeat: no-repeat;
  cursor: pointer;
  z-index: 1000;
}

.toggle.active {
  background: rgb(17, 26, 32) url(images/close.png);
  background-size: 25px;
  background-position: center;
  background-repeat: no-repeat;
}

section {
  padding: 100px;
  min-height: 100vh;
}

.banner {
  position: relative;
  width: 100%;
  min-height: 100vh;
}

.banner .imageSideBar {
  position: absolute;
  top: 0;
  left: 0;
  width: 500px;
  height: 100%;
}

.banner .imageSideBar img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.banner .contentBx,
.sidebar {
  position: absolute;
  top: 0;
  right: 0;
  width: calc(100% - 500px);
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 100px;
}

.logoText {
  position: absolute;
  top: 35px;
  left: 100px;
  font-size: 1.2em;
  border-radius: 5px;
  text-transform: uppercase;
  letter-spacing: 1px;
  background: #333;
  color: #fff;
  padding: 5px;
}

.banner .contentBx h4 {
  font-size: 1.5em;
  color: #333;
  font-weight: 300;
}

.banner .contentBx h4 span {
  color: #00bcd4;
  font-size: 1.5em;
  font-weight: 700;
}

.banner .contentBx h2 {
  margin-bottom: 10px;
  font-size: 3em;
  color: #333;
  line-height: 1em;
}

p {
  font-size: 1.1em;
  margin: 20px 0;
  font-weight: 300;
}

.btn {
  background: #00bcd4;
  color: #fff;
  padding: 10px 30px;
  display: inline-block;
  text-decoration: none;
  font-weight: 500;
  letter-spacing: 2px;
  border-radius: 5px;
}

.btn:hover {
  background: #333;
}

.sidebar {
  position: fixed;
  background: rgb(17, 26, 32);
  display: flex;
  justify-content: center;
  align-items: center;
  transition: 0.5s;
  padding: 40px;
  z-index: 100;
  right: -100%;
}

.sidebar.active {
  right: 0;
}

.sidebar ul {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.sidebar ul li {
  list-style: none;
}

.sidebar ul li a {
  color: #fff;
  text-decoration: none;
  font-size: 2em;
  margin: 10px 0;
  font-weight: 300;
  letter-spacing: 2px;
  text-transform: uppercase;
}

.sidebar ul li a:hover {
  color: #00bcd4;
}

.sci {
  position: absolute;
  left: 100px;
  bottom: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sci li {
  margin-right: 10px;
  list-style: none;
}

.sci li img {
  transform: scale(0.5);
  opacity: 0.7;
}

.sci li img:hover {
  opacity: 1;
}

.title {
  width: 100%;
  text-align: center;
}

.title h2 {
  position: relative;
  color: #00bcd4;
  font-size: 1.8em;
  font-weight: 700;
  letter-spacing: 1px;
}

.title p {
  max-width: 700px;
  display: inline-block;
}

.title h2::before {
  content: "";
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  bottom: -10px;
  width: 60px;
  height: 4px;
  background: rgb(17, 26, 32);
}

.title.white h2,
.title.white p {
  color: #fff;
}

.title.white h2::before {
  background: #fff;
}
.about {
  background: rgb(17, 26, 32);
}

.about .content {
  display: flex;
  justify-content: space-between;
  margin-top: 40px;
}

.about .content .textBx {
  min-width: 49%;
  width: 49%;
}

.about .content .textBx p {
  color: #fff;
}

.about .content .imgBx {
  margin-left: 40px;
}

.about .content .imgBx img {
  max-width: 100%;
  max-height: 80%;
  border-radius: 5px;
}

.mySkills .content {
  display: flex;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;
}

.mySkills .content .mySkillsBx {
  padding: 40px 20px;
  max-width: 700px;
  min-width: 330px;
  margin: 20px;
  border-radius: 5px;
  transition: 0.5s;
  text-align: center;
  background: #f5f5f5;
}

.mySkills .content .mySkillsBx:hover {
  background: rgb(17, 26, 32);
}

.mySkills .content .mySkillsBx img {
  max-width: 80px;
  transition: 0.5s;
}

.mySkills .content .mySkillsBx:hover img {
  filter: invert(1);
}

.mySkills .content .mySkillsBx h2 {
  margin-top: 20px;
  margin-bottom: 50px;
  font-size: 20px;
  font-weight: 600;
  transition: 0.5s;
}

.mySkills .content .mySkillsBx:hover h2 {
  color: #fff;
}

.mySkills .content .mySkillsBx p {
  margin: 0;
  transition: 0.5s;
}

.mySkills .content .mySkillsBx:hover p {
  color: #fff;
}

.skills {
  width: 100%;
  max-width: 600px;
  padding: 0 20px;
}

.skill-bar {
  height: 14px;
  background: #282828;
  border-radius: 3px;
}

.skill-per {
  height: 14px;
  background: #00bcd4;
  border-radius: 3px;
  position: relative;
  animation: fillBars 2.5s 1;
}

.skill-per::before {
  content: attr(per);
  position: absolute;
  padding: 4px 6px;
  color: #fff;
  background: rgb(17, 26, 32);
  border-radius: 4px;
  font-size: 12px;
  top: -35px;
  right: 0;
  transform: translateX(50%);
}

.skill-per::after {
  content: "";
  position: absolute;
  width: 10px;
  height: 10px;
  top: -20px;
  right: 0;
  transform: translateX(50%) rotate(45deg);
  border-radius: 2px;
}

@keyframes fillBars {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

.work .content {
  display: flex;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;
}

.work .content .workBx {
  position: relative;
  min-width: 265px;
  min-height: 265px;
  margin: 10px;
  transition: 0.5s;
  text-align: center;
}

.work .content .workBx .imgBx,
.work .content .workBx .textBx {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.work .content .workBx .imgBx img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  border-radius: 5px;
}

.work .content .workBx .textBx {
  background: rgb(17, 26, 32);
  opacity: 0;
  transition: 0.5s;
}

.work .content .workBx:hover .textBx {
  opacity: 1;
}

.work .content .workBx .textBx h3,
a {
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 1px;
  font-size: 1em;
  text-decoration: none;
}

.contact {
  background: rgb(17, 26, 32);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

.contact .contactForm {
  position: relative;
  width: 700px;
  margin-top: 20px;
}

.contact .contactForm .row {
  width: 100%;
  display: flex;
}

.contact .contactForm .row .col50 {
  width: 50%;
  margin: 10px;
}

.contact .contactForm .row .col100 {
  width: 100%;
  margin: 10px;
  text-align: center;
}

.contact .contactForm .row input,
.contact .contactForm .row textarea {
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 5px;
  outline: none;
  background: #252525;
  color: #fff;
  font-size: 16px;
  resize: none;
}

.contact .contactForm .row textarea {
  height: 100px;
}

.contact .contactForm .row button[type="submit"] {
  background: #00bcd4;
  color: #fff;
  padding: 10px 30px;
  display: inline-block;
  font-weight: 500;
  letter-spacing: 2px;
  cursor: pointer;
  max-width: 150px;
  border-radius: 10px;
  border: none;
}

.contact .contactForm .row button[type="submit"]:hover {
  background: #333;
}

.copyright {
  color: #fff;
  background: #252525;
  text-align: center;
  padding: 10px;
}

.copyright p {
  margin: 0;
  font-size: 16px;
}

@media (max-width: 990px) {
  .banner .imageSideBar {
    display: none;
  }
  .banner .contentBx,
  .sidebar {
    width: 100%;
    padding: 40px;
  }
  .logoText {
    left: 40px;
  }
  .toggle {
    right: 40px;
  }
  .sci {
    left: 40px;
  }
  section {
    padding: 40px;
  }
  .about .content {
    flex-direction: column;
    margin-top: 0;
  }
  .about .content .textBx {
    min-width: 100%;
    width: 100%;
  }
  .about .content .imgBx {
    display: flex;
    justify-content: center;
    margin-left: 0;
  }
  .mySkills .content .mySkillsBx {
    padding: 30px 20px;
    min-width: 340px;
    margin: 10px;
  }
  .contact .contactForm {
    width: 100%;
  }
  .contactForm .row {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
  }
  .contact .contactForm .row .col50 {
    width: 100%;
  }
  .sidebar ul li a {
    font-size: 1.5em;
  }
}

@media (max-width: 600px) {
  .mySkills .content .mySkillsBx,
  .work .content .workBx {
    max-width: 100%;
    width: 100%;
    margin: 10px 0;
  }
  .banner .contentBx {
    width: 100%;
    padding: 60px;
    text-align: center;
  }
  .banner .contentBx h2 {
    font-size: 2em;
  }
}

@media (max-width: 400px) {
  .banner .contentBx {
    width: 100%;
    text-align: center;
  }
  .banner .contentBx h2 {
    font-size: 2em;
  }
}
